# Gimp.Resource.get_by_id

    function get_by_id(resource_id: Number(gint32)): Gimp.Resource {
        // Gjs wrapper for gimp_resource_get_by_id()
    }

Returns a Gimp.Resource representing resource_id. Since Gimp.Resource is an abstract class, the real object type will actually be the proper subclass.

Note: in most use cases, you should not need to retrieve a Gimp.Resource by its ID, which is mostly internal data and not reusable across sessions. Use the appropriate functions for your use case instead.

Since 3.0

resource_id

  The resource id.

Returns

  a Gimp.Resource for resource_id or null if resource_id does not represent a valid resource. The object belongs to libgimp and you must not modify or unref it.